Subject: Re: [PATCH 08/14] pktgen: reorganize transmit loop

From: Patrick McHardy <[email-masked]>
Date: Wed, 02 Sep 2009 15:06:04 +0200

Stephen Hemminger wrote:
> On Fri, 28 Aug 2009 23:04:28 -0700 (PDT)
> David Miller <[email-masked]> wrote:
> 
>> I think Patrick's goals are quite sound, and with his patch we
>> could let pktgen transmit over vlan just like any other device.
>>
>> Otherwise we give no way to use pktgen to test the VLAN transmit path.
> 
> The only valid returns from device are OK, BUSY, or LOCKED
> anything else is an error and should never occur.
> 
> If the vlan code returns other values, it must translate.

That was part of my patches to allow hard_start_xmit() to return
NETDEV_TX codes, NET_XMIT codes to propagate transmission qdisc state
upwards through virtual devices, as well as errno codes to propagate
errors from virtual devices, like EHOSTUNREACH from an IP tunnel device.

I'll refresh that patch and will post it tonight or tommorrow.